ROTCTL(1)

NAME
rotctl - control antenna rotators

SYNOPSIS
rotctl [OPTION]... [COMMAND]...

DESCRIPTION
Control antenna rotators. rotctl accepts commands from command line as well as in interactive mode if none provided in command line.

Keep in mind that Hamlib is still ALPHA level software. A lof of stuff hasn't been tested thoroughly, and the API may change without publicized notice. Please report bugs and feedback at the e-mail address given in the REPORTING BUGS section.

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-m, --model=id
    Select rotator model number. See model list.

-r, --rot-file=device
    Use device as the file name of the rotator to operate. Default is /dev/rotator (may be a symbolic link to the actual device).

-s, --serial-speed=baud
    Set serial speed to baud rate. Uses maximum serial speed from rotator backend capabilites as default.

-L, --show-conf
    List all config parameters.

-C, --set-conf=parm=val[,parm=val]*
    Set config parameter.

-l, --list
    List all model numbers and exit.

-v, --verbose
    Set verbose mode, cumulative (BUG, ERR, WARN, VERBOSE, TRACE).

-h, --help
    Show summary of options and exit.

-V, --version
    Show version of program and exit.

NOTE! Some options may not be implemented by a given backend and will return an error. This is most likely to occur with the --set-conf and --show-conf options.

COMMANDS
Commands can be entered either as a single char, or as a long command name. Basically, the commands do not take a dash in front of them, as the options usually do. They may be typed in when in interactive mode or provided as argument in command line interface mode. Since most of the Hamlib operations have a set and a get method, upper case letter will be used for set method whereas the corresponding lower case letter refers to the get method.

Please note that the backend for the rotator to be controlled, or the rotator itself may not support some commands. In that case, the operation will fail with a standard error message.

A summary of commands is included below.

P, set_pos
    Set position: azimuth and elevation.

p, get_pos
    Get position: azimuth and elevation.

K, park
    Park the antenna.

S, stop
    Stop the rotator.

R, reset
    Reset the rotator.

M, move
    Move the rotator in a specific direction.

C, set_conf
    Set a configuration parameter. It is safe to give "Token" a value of '0' (zero). "Value" may be a string up to 20 characters.

_, get_info
    Get misc information on the rotator.

RETURN VALUE
rotctl exits with: 0 if all operations went fine; 1 if there was an invalid command line option or arg; or 2 if an error was returned by Hamlib.

AUTHOR
Written by Stephane Fillod.

BUGS

This suspicious empty section...

REPORTING BUGS
Report bugs to <hamlib-developer@users.sourceforge.net>.
I'm already aware of the bug in the previous section :-)

COPYRIGHT
Copyright © 2000-2006 Stephane Fillod.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
hamlib(3)